Fly.io
TLS Certificates

List certificates for app

View as Markdown
GET
/apps/{app_name}/certificates

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

Query Parameters

filter?string

Hostname filter (substring match)

cursor?string

Pagination cursor from previous response

limit?integer

Number of results per page (default 25, max 500)

Response Body

application/json

curl -X GET "https://example.com/apps/string/certificates"
{  "certificates": [    {      "acme_alpn_configured": true,      "acme_dns_configured": true,      "acme_http_configured": true,      "acme_requested": true,      "configured": true,      "created_at": "string",      "dns_provider": "string",      "has_custom_certificate": true,      "has_fly_certificate": true,      "hostname": "string",      "ownership_txt_configured": true,      "status": "string",      "updated_at": "string"    }  ],  "next_cursor": "string",  "total_count": 0}